[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'sysutils' (#rtl)

# strlicomp

Compare limited number of characters in 2 null-terminated strings, ignoring case.

## Declaration

Source position: syspchh.inc line 33

`function strlicomp(`
`str1: pchar;`
`str2: pchar;`
`l: SizeInt`
`):SizeInt; function strlicomp(`
`str1: pwidechar;`
`str2: pwidechar;`
`l: SizeInt`
`):SizeInt;`

## Description

Compares maximum L characters of the null-terminated strings S1 and S2, ignoring case. The result is

- A negative Longint when S1<S2.
- 0 when S1=S2.
- A positive Longint when S1>S2.

For an example, see StrIComp

## Errors

None.

## See also

StrLComp |  | Compare limited number of characters of 2 null-terminated strings
StrComp |  | Compare 2 null-terminated strings, case sensitive.
StrIComp |  | Compare 2 null-terminated strings, case insensitive.